commit: d1a502c6076dba392a82e7a3a476f65f4ac8cf55
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:27:31 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:38:04 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1a502c6
sci-chemistry/pymol: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-chemistry/pymol/pymol-1.8.4.0-r1.ebuild | 5 ++++-
sci-chemistry/pymol/pymol-2.3.0-r1.ebuild | 5 ++++-
2 files changed, 8 insertions(+), 2 deletions(-)
diff --git a/sci-chemistry/pymol/pymol-1.8.4.0-r1.ebuild
b/sci-chemistry/pymol/pymol-1.8.4.0-r1.ebuild
index 0bcafb2e322..d6864f00a97 100644
--- a/sci-chemistry/pymol/pymol-1.8.4.0-r1.ebuild
+++ b/sci-chemistry/pymol/pymol-1.8.4.0-r1.ebuild
@@ -22,7 +22,10 @@ KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~x64-macos
~x86-macos"
IUSE="web"
DEPEND="
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
dev-python/pmw:py2[${PYTHON_USEDEP}]
dev-python/pyopengl[${PYTHON_USEDEP}]
media-libs/freeglut
diff --git a/sci-chemistry/pymol/pymol-2.3.0-r1.ebuild
b/sci-chemistry/pymol/pymol-2.3.0-r1.ebuild
index b84c2769806..7591fe38393 100644
--- a/sci-chemistry/pymol/pymol-2.3.0-r1.ebuild
+++ b/sci-chemistry/pymol/pymol-2.3.0-r1.ebuild
@@ -22,7 +22,10 @@ IUSE="web"
DEPEND="
dev-libs/msgpack[cxx]
dev-libs/mmtf-cpp
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
dev-python/pmw:py2[${PYTHON_USEDEP}]
dev-python/pyopengl[${PYTHON_USEDEP}]
dev-python/PyQt5[opengl,${PYTHON_USEDEP}]